<mamecheat version="1">

  <cheat desc="Select Starting Stage">
    <parameter min="1" max="5" step="1"/>
    <script state="run">
      <action condition="(maincpu.pb@7E0086==01)">maincpu.pb@7E0086=(param)</action>
    </script>
  </cheat>

  <cheat desc=" "/>

  <cheat desc="Infinite Lives PL1">
    <script state="run">
      <action>maincpu.pb@7E1F8A=64</action>
    </script>
  </cheat>

  <cheat desc="Infinite Bombs PL1">
    <script state="run">
      <action>maincpu.pb@7E1F8C=09</action>
    </script>
  </cheat>

  <cheat desc="Invincibility PL1"> <comment>You may not be able to control the vehicle with this cheat ON, if you can't just turn the cheat OFF.</comment>
    <script state="run">
      <action>maincpu.pb@7E0224=0F</action>
      <action>maincpu.pb@7E1508=0F</action>
    </script>
  </cheat>

  <cheat desc="Infinite Barrier"> <comment>You may not be able to control the vehicle with this cheat ON, if you can't just turn the cheat OFF.</comment>
    <script state="run">
      <action>maincpu.pb@7E1F88=99</action>
    </script>
  </cheat>

  <cheat desc="Select Weapon (I) PL1">
    <parameter>
      <item value="0x00">Normal</item>
      <item value="0x01">S</item>
      <item value="0x02">C</item>
      <item value="0x03">H</item>
      <item value="0x04">F</item>
      <item value="0x05">L</item>
    </parameter>
    <script state="run">
      <action>maincpu.pb@7E1F84=param</action>
    </script>
  </cheat>

  <cheat desc="Select Weapon (II) PL1">
    <parameter>
      <item value="0x00">Normal</item>
      <item value="0x01">S</item>
      <item value="0x02">C</item>
      <item value="0x03">H</item>
      <item value="0x04">F</item>
      <item value="0x05">L</item>
    </parameter>
    <script state="run">
      <action>maincpu.pb@7E1F86=param</action>
    </script>
  </cheat>

  <cheat desc=" "/>

  <cheat desc="Infinite Lives PL2">
    <script state="run">
      <action>maincpu.pb@7E1FCA=64</action>
    </script>
  </cheat>

  <cheat desc="Infinite Bombs PL2">
    <script state="run">
      <action>maincpu.pb@7E1FCC=09</action>
    </script>
  </cheat>

  <cheat desc="Invincibility PL2"> <comment>You may not be able to control the vehicle with this cheat ON, if you can't just turn the cheat OFF.</comment>
    <script state="run">
      <action>maincpu.pb@7E0264=0F</action>
      <action>maincpu.pb@7E1548=0F</action>
    </script>
  </cheat>

  <cheat desc="Infinite Barrier PL2"> <comment>You may not be able to control the vehicle with this cheat ON, if you can't just turn the cheat OFF.</comment>
    <script state="run">
      <action>maincpu.pb@7E1FC8=99</action>
    </script>
  </cheat>

  <cheat desc="Select Weapon (I) PL2">
    <parameter>
      <item value="0x00">Normal</item>
      <item value="0x01">S</item>
      <item value="0x02">C</item>
      <item value="0x03">H</item>
      <item value="0x04">F</item>
      <item value="0x05">L</item>
    </parameter>
    <script state="run">
      <action>maincpu.pb@7E1FC4=param</action>
    </script>
  </cheat>

  <cheat desc="Select Weapon (II) PL2">
    <parameter>
      <item value="0x00">Normal</item>
      <item value="0x01">S</item>
      <item value="0x02">C</item>
      <item value="0x03">H</item>
      <item value="0x04">F</item>
      <item value="0x05">L</item>
    </parameter>
    <script state="run">
      <action>maincpu.pb@7E1FC6=param</action>
    </script>
  </cheat>

</mamecheat>
<!-- Cheat file downloaded from http://www.mamecheat.co.uk, see cheat.txt for list of contributors. -->
